> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# データセットのエントリを分割に移動する

> `filters`（メタデータを含む、一覧取得時のフィルター）と `row_ids` に一致するすべてのエントリを `split` に移動します。`fraction` は、一致するグループをグループ ID のダイジェストに基づいて並べ、そのうち指定された割合を選択します。これによりグループが分断されることはなく、後続の呼び出しでは残りから指定の割合を選択できます。`val` を使用して一部のユーザー集団をトレーニングから除外すると、トレーニングで一度も使われていないユーザーのデータでモデルの性能を評価できます。1 つのグループが複数の分割にまたがる変更は、409 `group_split_conflict` を返します。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml PATCH /projects/{alias}/datasets/{datasetId}/entries
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project、ルーティングバージョン、データセット、再ラベル付け、
    ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://forge.coreweave.com/api/distillation/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Projects
    description: 安定したprojectアイデンティティとprojectレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: project トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるprojectごとの表示設定。
paths:
  /projects/{alias}/datasets/{datasetId}/entries:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/ProjectAlias'
      - $ref: '#/components/parameters/DatasetId'
    patch:
      tags:
        - Datasets
      summary: データセットのエントリを分割先に移動
      description: >-
        `filters`（メタデータを含む、一覧取得時のフィルター）と `row_ids` に一致するすべてのエントリを `split`
        に移動します。`fraction` は、一致するグループをグループ ID
        のダイジェストに基づいて並べ、そのうち指定された割合を選択します。これによりグループが分断されることはなく、後続の呼び出しでは残りから指定の割合を選択できます。`val`
        を使用して一部のユーザー集団をトレーニングから除外すると、トレーニングで一度も使われていないユーザーのデータでモデルの性能を評価できます。1
        つのグループが複数の分割にまたがる変更は、409 `group_split_conflict` を返します。
      operationId: updateDatasetEntrySplits
      parameters:
        - name: dry_run
          in: query
          description: 変更を検証して報告し、その後ロールバックします。
          required: false
          schema:
            type: boolean
            default: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                split:
                  type: string
                  enum:
                    - train
                    - val
                filters:
                  default: []
                  description: エントリの一覧取得と同様に、すべてのフィルターに一致するエントリを選択します。
                  maxItems: 10
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          field:
                            type: string
                            const: entry_id
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                          value:
                            type: string
                            pattern: ^[A-Za-z0-9_-]{22}$
                        required:
                          - field
                          - operator
                          - value
                        additionalProperties: false
                      - type: object
                        properties:
                          field:
                            type: string
                            enum:
                              - input
                              - original_output
                          operator:
                            type: string
                            enum:
                              - contains
                              - not_contains
                          value:
                            type: string
                            minLength: 1
                            maxLength: 500
                        required:
                          - field
                          - operator
                          - value
                        additionalProperties: false
                      - type: object
                        properties:
                          field:
                            type: string
                            const: relabel_status
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                          value:
                            type: string
                            enum:
                              - pending
                              - processing
                              - relabeled
                              - unchanged
                              - errored
                        required:
                          - field
                          - operator
                          - value
                        additionalProperties: false
                      - type: object
                        properties:
                          field:
                            type: string
                            const: split
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                          value:
                            type: string
                            enum:
                              - train
                              - val
                        required:
                          - field
                          - operator
                          - value
                        additionalProperties: false
                      - type: object
                        properties:
                          field:
                            type: string
                            const: metadata
                          key:
                            type: string
                            minLength: 1
                            maxLength: 256
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                          value:
                            anyOf:
                              - type: string
                                maxLength: 500
                              - type: number
                              - type: boolean
                        required:
                          - field
                          - key
                          - operator
                          - value
                        additionalProperties: false
                      - type: object
                        properties:
                          field:
                            type: string
                            const: eval_applied
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                          value:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        required:
                          - field
                          - operator
                          - value
                        additionalProperties: false
                row_ids:
                  description: 指定された行 ID のみを選択します。
                  minItems: 1
                  maxItems: 5000
                  type: array
                  items:
                    type: string
                    minLength: 1
                    maxLength: 512
                fraction:
                  description: >-
                    選択したグループをグループ ID
                    のダイジェストに基づいて並べ、そのうち指定された割合だけを移動します。グループは分断されません。
                  type: number
                  exclusiveMinimum: 0
                  exclusiveMaximum: 1
              required:
                - split
              additionalProperties: false
      responses:
        '200':
          description: エントリが移動されました。ドライランの場合は、実際に実行した場合に移動されるエントリを示します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetEntrySplitResult'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    ProjectAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DatasetEntrySplitResult:
      type: object
      required:
        - dry_run
        - matched
        - groups
        - updated
        - revision
        - entry_counts
        - group_conflicts
      properties:
        dry_run:
          type: boolean
        matched:
          type: integer
          description: フィルター、行 ID、割合に基づいて選択されたエントリ。
        groups:
          type: integer
          description: 選択されたエントリが属するグループ。
        updated:
          type: integer
          description: 選択されたエントリのうち、別の分割に属していたエントリ。
        revision:
          type: integer
          description: 変更後のデータセットのリビジョン。ドライランまたは no-op では変更されません。
        entry_counts:
          $ref: '#/components/schemas/DatasetEntryCounts'
        group_conflicts:
          type: array
          items:
            type: string
          description: 複数の分割にまたがるグループ。競合がある場合、実際の変更は拒否されます。
    DatasetEntryCounts:
      type: object
      required:
        - total
        - train
        - val
      properties:
        total:
          type: integer
        train:
          type: integer
        val:
          type: integer
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Project 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: wandb API key or JWT
      description: >-
        wandb APIキーまたは wandb JWT。ブラウザーセッションの交換は、Model Distillation
        ウェブアプリのバックエンドで行われます。ジョブのケイパビリティは内部専用です。

````